Free Support Forum - aspose.com

Exception : java.lang.IllegalArgumentException: Invalid sheet index: 2

Hello Aspose Team,

I get a following error mesasage when trying to open an xls file having one worksheet. I have attached the spread sheet. We are using Aspose Cell JAVA version. Please adivice.

------

Exception in thread "main" java.lang.IllegalArgumentException: Invalid sheet index: 2
at com.aspose.cells.Worksheets.a(Unknown Source)
at com.aspose.cells.Worksheets.getSheet(Unknown Source)
at com.aspose.cells.p.a(Unknown Source)
at com.aspose.cells.ak.f(Unknown Source)
at com.aspose.cells.ak.d(Unknown Source)
at com.aspose.cells.ak.a(Unknown Source)
at com.aspose.cells.Workbook.o(Unknown Source)
at com.aspose.cells.Workbook.open(Unknown Source)
at com.aspose.cells.Workbook.open(Unknown Source)
at com.aspose.cells.Workbook.open(Unknown Source)

-----------------

Thanks,

Hi,

Would you please try out latest released version 1.9.5.0? I have tested it with your attached file, it works fine. Thank you.

Tried..but give me following license error

The subscription included in this license allows free upgrades until 2008-05-11, but this version of the product was released on 2008-07-19. Please renew the subscription or use a previous version of the product.

2008-07-19? We are still in June? Hows this?

Hi,

Well, you subscription expires on May 11, 2008, either you should try to use any version released before this dead line or you need to upgrade your subscription to utilize the versions / fixes that are released after this date.

And we will check the issue i.e. 2008-07-19? soon.

Thank you.

Hi,

For the issue 2008-07-19, it is just a bug of formatting date as string when build Error message, it will not affect checking license. And we will fix it in the next patch.

For your current subscription, please try this patch at http://www.aspose.com/community/forums/permalink/126281/126187/showthread.aspx#126187, which is the newest fix before the expire date of your current subscription. To use versions released after May 11, 2008, please upgrade your subscription.